defmodule Nulla.LikesFixtures do
  import Nulla.ActorsFixtures
  import Nulla.NotesFixtures

  @moduledoc """
  This module defines test helpers for creating
  entities via the `Nulla.Likes` context.
  """

  @doc """
  Generate a like.
  """
  def like_fixture(attrs \\ %{}) do
    actor = actor_fixture()
    note = note_fixture()

    {:ok, like} =
      attrs
      |> Enum.into(%{actor_id: actor.id, note_id: note.id})
      |> Nulla.Likes.create_like()

    like
  end
end
